#include <iostream>
#include <iomanip>
#include <cmath>
using namespace std;

int main() {
	double x_begin, x_end, step;

	cout << "The following values are in PI units" << endl;
	cout << "Enter lower bound: ";
	cin >> x_begin;
	cout << "Enter upper bound: ";
	cin >> x_end;
	cout << "Enter step: ";
	cin >> step;
	cout << endl;
	x_begin *= M_PI;
	x_end *= M_PI;
	step *= M_PI;

	cout << "   x   |  sin(x)  \n";
	cout << "-------+----------\n";
	cout << setprecision(3);
	cout.setf (ios::fixed, ios::floatfield);
	// use with caution !!!
	for (double x = x_begin; x < x_end; x += step) {
		cout << setw(5) << x << "  |" << setw(8) << sin(x) << endl;
	}
	cout << setw(5) << x_end << "  |" << setw(8) << sin(x_end) << endl;
	cout << "-------+----------\n";

	return EXIT_SUCCESS;
}

