#include <iostream>
#include <cmath>
using namespace std;

int main() {
	double a, b, c;
	double x1, x2, delta, eps = 1e-10;
	a = 25.0;
	b = 30.0;
	c = 9.0;
///*
	a /= 7.0;
	b /= 7.0;
	c /= 7.0;
//*/
	if (fabs(a) < eps) {
		cout << " a = 0.0\n";
		return 1;
	}
	delta = b*b - 4*a*c;
	cout << "delta = " << delta << endl;
	if (fabs(delta) <= eps) {
		x1 = (-b) / (2*a);		
		cout << "x1 = " << x1 << endl;
	} else if (delta > 0.0) {
		double sqrt_delta = sqrt(delta);
		x1 = (-b - sqrt_delta) / (2*a);
		x2 = (-b + sqrt_delta) / (2*a);
		cout << "x1 = " << x1 << endl;
		cout << "x2 = " << x2 << endl;
	} else {
		cout << "No real solution\n";
	}

	return EXIT_SUCCESS;
}

